Bug 477840 - gdm does a horrible job of handling broken X configurations
gdm does a horrible job of handling broken X configurations
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 23:39 EST by Ben Gamari
Modified: 2015-01-14 18:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:01:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Gamari 2008-12-23 23:39:52 EST
Description of problem:
In Fedora 10, GDM is positively horrible at handling broken X configurations which cause the server to crash soon (or immediately) after starting. Instead of stopping gracefully after a certain number of failures like earlier versions of gdm did, it now continues incessantly hoping that the n+1 iteration will be more sucessful than the nth, where n tends to infinity. Moreover, it is generally not even possible to get to a terminal for long enough to login and kill gdm. 

This is ridiculous. I don't know what happened to gdm's original behavior in this situation, but it should be brought back. For someone working with X packages frequently without a remote machine, this is extremely aggravating.

Version-Release number of selected component (if applicable):
gdm.x86_64                       1:2.24.1-4.fc10                       installed


Steps to Reproduce:
1. Install an xserver which segfaults on startup
2. Restart gdm
3. Watch as gdm launches a continuous stream of servers

Expected results:
gdm handles this situation sanely, stopping after a certain number of short-lived servers thereby dropping the user safely into a terminal.
Comment 1 Bug Zapper 2009-06-09 06:29:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 08:37:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 07:01:24 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.